
From: Andrey Borzenkov <arvidjaar@mail.ru>

All other input devices are under /dev/input; any reason joystick is the
exception?



---

 drivers/input/joydev.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/input/joydev.c~devfs-joystick-fix drivers/input/joydev.c
--- 25/drivers/input/joydev.c~devfs-joystick-fix	2004-01-07 19:33:29.000000000 -0800
+++ 25-akpm/drivers/input/joydev.c	2004-01-07 19:34:17.000000000 -0800
@@ -143,7 +143,7 @@ static int joydev_fasync(int fd, struct 
 
 static void joydev_free(struct joydev *joydev)
 {
-	devfs_remove("js%d", joydev->minor);
+	devfs_remove("input/js%d", joydev->minor);
 	joydev_table[joydev->minor] = NULL;
 	simple_remove_class_device(MKDEV(INPUT_MAJOR, JOYDEV_MINOR_BASE + joydev->minor));
 	kfree(joydev);
@@ -444,7 +444,7 @@ static struct input_handle *joydev_conne
 	joydev_table[minor] = joydev;
 	
 	devfs_mk_cdev(MKDEV(INPUT_MAJOR, JOYDEV_MINOR_BASE + minor),
-			S_IFCHR|S_IRUGO|S_IWUSR, "js%d", minor);
+			S_IFCHR|S_IRUGO|S_IWUSR, "input/js%d", minor);
 	simple_add_class_device(&input_class,
 				MKDEV(INPUT_MAJOR, JOYDEV_MINOR_BASE + minor),
 				dev->dev, "js%d", minor);

_
